Engine.IncludeModule("common-api");

var Bot4355 = (function() {
var m = {};

m.playerGlobals = [];

m.Bot4355 = function Bot4355(settings) {
	API3.BaseAI.call(this, settings);
};

m.Bot4355.prototype = new API3.BaseAI();

m.Bot4355.prototype.CustomInit = function(gameState, sharedScript) {
}

m.Bot4355.prototype.OnUpdate = function(sharedScript) {
	if (this.gameFinished){
		return;
	}
	// Have the two player instances send their villager
	// one after another, giving the first one two seconds
	// advancement so it can obtain a "lock" on the treasure
	var elapsedTime = this.gameState.getTimeElapsed() / 1000;
	if (elapsedTime > (this.player * 2)) {
		var theTreasure =
			this.gameState.getEntityById(40);
		if (theTreasure) {
			this.gameState.getOwnEntities().forEach(
				function (entity) {
					if (entity.isIdle()) {
						entity.gather(theTreasure);
					}
				});
		}
	}
};

return m;
}());
